Issue1014

Title disable the buildbot
Priority feature Status chatting
Superseder Nosy List florian, jendrik, malte, patfer, silvan
Assigned To Keywords infrastructure
Optional summary
~~1. Shut down the buildbot-related containers and make sure they don't restart again when the host machine is rebooted.~~

2. Shut down the computers that we don't need any more (at least the Mac and Windows machines; also dmi-hydra?). Let the computer admins know that we no longer need them for the buildbot and possibly return the machines.

~~3. Remove or disable the buildbot-related Apache configuration.~~

~~4. Update the README file in the infrastructure repository.~~

~~5. Decide what to do with the various buildbot-related things in the infrastructure repository (under "hosts" and "services") and do it.~~

~~6. Remove misc/buildbot from the Fast Downward repository. Are there other buildbot-related things in this repository?~~

~~7. Update https://wiki.dmi.unibas.ch/doku.php?id=fbi:ai:infrastructure-documentation. Let Bas know which services no longer need to be migrated.~~

~~8. Update the Fast Downward wiki if there are references to the buildbot.~~

~~9. Remove the buildbot.fast-downward.org DNS entry, if it actually is a dedicated entry and not just a wildcard.~~

Created on 2021-02-26.13:28:46 by malte, last changed by florian.

Summary
1. Shut down the buildbot-related containers and make sure they don't restart again when the host machine is rebooted.

2. Shut down the computers that we don't need any more (at least the Mac and Windows machines; also dmi-hydra?). Let the computer admins know that we no longer need them for the buildbot and possibly return the machines.

3. Remove or disable the buildbot-related Apache configuration.

4. Update the README file in the infrastructure repository.

5. Decide what to do with the various buildbot-related things in the infrastructure repository (under "hosts" and "services") and do it.

6. Remove misc/buildbot from the Fast Downward repository. Are there other buildbot-related things in this repository?

7. Update https://wiki.dmi.unibas.ch/doku.php?id=fbi:ai:infrastructure-documentation. Let Bas know which services no longer need to be migrated.

8. Update the Fast Downward wiki if there are references to the buildbot.

9. Remove the buildbot.fast-downward.org DNS entry, if it actually is a dedicated entry and not just a wildcard.
Messages
msg10222 (view) Author: florian Date: 2021-03-20.12:09:18
I merged the pull request.
msg10220 (view) Author: malte Date: 2021-03-19.20:47:55
Regarding 2., I asked on ai@... if we still have a use for these machines. Depending on the answers, we can either have them turned off or returned in a week or so.

Regarding 9., there was no need for a configuration change and I have marked it as done.
msg10219 (view) Author: malte Date: 2021-03-19.20:33:55
Pull request looks good to me, too. Easy to review. :-)
msg10216 (view) Author: malte Date: 2021-03-19.20:24:58
Old issue scripts are there to be archived, not maintained. I would just keep it where it is. The only maintained file is the README file.
msg10215 (view) Author: jendrik Date: 2021-03-19.17:48:47
Thanks for taking care of all these TODOs! The pull request looks good to me. I also didn't find other references to "buildbot" in the repo, except for an old issue script "experiments/issue581/run-tests", which we could also remove. The script was added by me, but probably shouldn't have been added to the repo in the first place.
msg10213 (view) Author: florian Date: 2021-03-19.17:08:52
I added a pull request for removing the regression tests. I didn't find other references to the buildbot.

https://github.com/aibasel/downward/pull/37
msg10212 (view) Author: florian Date: 2021-03-19.16:59:13
I did the following steps
 1.* shut down the buildbot master container
 3. removed the apache conf
 4. removed references to buildbot in infrastructure/README
 5. removed the docker and docker-compose files in the infrastructure repo
 7. removed documentation from the wiki and contacted Bas
 8. removed all references to "buildbot" from the wiki
 
*) I have no ssh access to the buildbot workers, so I cannot shut them down from here. Anyway, shutting down the computers and formatting the harddrives will take care of this. I see no reason to clean up the containers on there first.

What remains to do is
 2. I cannot do this from home. We should also discuss if we want to keep the Windows and Mac machines for locally testing builds (e.g., not as buildbot worker, just as a test system).

 6. I can prepare a pull request.
 
 9. I don't have access to this.
msg10166 (view) Author: malte Date: 2021-03-04.16:29:01
> I can do 1. and 3. Should I do those now or is there something we are
> still waiting for?

Please do, we are no longer waiting for anything. The autodoc github action has been merged.

> Regarding 4. and 7., should we just remove all buildbot related things? I guess
> there is no reason to keep or archive them, is there? I would also remove the
> docker files from the infrastructure repository (If we need them, they are
> in the history).

I agree. Did you mean 4-7, or why 4 and 7 specifically?

In general, just let me know which of the steps you'll do, and I'll do the others. I'm happy to do anything that isn't related to docker, which I know very little about.
msg10161 (view) Author: florian Date: 2021-03-04.11:31:26
> @Florian: some of these will require your expertise. I'm happy to help with
> this as well. Shall we discuss how to proceed?

I can do 1. and 3. Should I do those now or is there something we are still waiting for? Regarding 4. and 7., should we just remove all buildbot related things? I guess there is no reason to keep or archive them, is there? I would also remove the docker files from the infrastructure repository (If we need them, they are in the history).
msg10150 (view) Author: malte Date: 2021-02-26.16:13:46
Most open items in issue1001 are all unrelated to the buildbot in the sense that they don't replace existing things we did on the buildbot but add new stuff.

It is a Github Actions wishlist, or more generally a continuous integration wishlist. (I'm not sure if Github Actions is really what we would use to track performance over time.) Perhaps the issue should be renamed.
msg10146 (view) Author: silvan Date: 2021-02-26.15:43:08
What do we do with issue1001, which is "to replace the buildbot by Github actions"? Should it become "think about further tests to do in Github actions" or something along those lines? The issues feel a bit duplicate, otherwise.
msg10144 (view) Author: patfer Date: 2021-02-26.13:48:37
Issue1013 is resolved.
msg10142 (view) Author: malte Date: 2021-02-26.13:28:45
We can disable the buildbot once issue1013 has been merged.

I've added the steps for removing the buildbot that I can think of to the summary.

@Florian: some of these will require your expertise. I'm happy to help with this as well. Shall we discuss how to proceed?
History
Date User Action Args
2021-03-20 12:09:20floriansetmessages: + msg10222
summary: ~~1. Shut down the buildbot-related containers and make sure they don't restart again when the host machine is rebooted.~~ 2. Shut down the computers that we don't need any more (at least the Mac and Windows machines; also dmi-hydra?). Let the computer admins know that we no longer need them for the buildbot and possibly return the machines. ~~3. Remove or disable the buildbot-related Apache configuration.~~ ~~4. Update the README file in the infrastructure repository.~~ ~~5. Decide what to do with the various buildbot-related things in the infrastructure repository (under "hosts" and "services") and do it.~~ 6. Remove misc/buildbot from the Fast Downward repository. Are there other buildbot-related things in this repository? ~~7. Update https://wiki.dmi.unibas.ch/doku.php?id=fbi:ai:infrastructure-documentation. Let Bas know which services no longer need to be migrated.~~ ~~8. Update the Fast Downward wiki if there are references to the buildbot.~~ ~~9. Remove the buildbot.fast-downward.org DNS entry, if it actually is a dedicated entry and not just a wildcard.~~ -> ~~1. Shut down the buildbot-related containers and make sure they don't restart again when the host machine is rebooted.~~ 2. Shut down the computers that we don't need any more (at least the Mac and Windows machines; also dmi-hydra?). Let the computer admins know that we no longer need them for the buildbot and possibly return the machines. ~~3. Remove or disable the buildbot-related Apache configuration.~~ ~~4. Update the README file in the infrastructure repository.~~ ~~5. Decide what to do with the various buildbot-related things in the infrastructure repository (under "hosts" and "services") and do it.~~ ~~6. Remove misc/buildbot from the Fast Downward repository. Are there other buildbot-related things in this repository?~~ ~~7. Update https://wiki.dmi.unibas.ch/doku.php?id=fbi:ai:infrastructure-documentation. Let Bas know which services no longer need to be migrated.~~ ~~8. Update the Fast Downward wiki if there are references to the buildbot.~~ ~~9. Remove the buildbot.fast-downward.org DNS entry, if it actually is a dedicated entry and not just a wildcard.~~
2021-03-19 20:47:56maltesetmessages: + msg10220
summary: ~~1. Shut down the buildbot-related containers and make sure they don't restart again when the host machine is rebooted.~~ 2. Shut down the computers that we don't need any more (at least the Mac and Windows machines; also dmi-hydra?). Let the computer admins know that we no longer need them for the buildbot and possibly return the machines. ~~3. Remove or disable the buildbot-related Apache configuration.~~ ~~4. Update the README file in the infrastructure repository.~~ ~~5. Decide what to do with the various buildbot-related things in the infrastructure repository (under "hosts" and "services") and do it.~~ 6. Remove misc/buildbot from the Fast Downward repository. Are there other buildbot-related things in this repository? ~~7. Update https://wiki.dmi.unibas.ch/doku.php?id=fbi:ai:infrastructure-documentation. Let Bas know which services no longer need to be migrated.~~ ~~8. Update the Fast Downward wiki if there are references to the buildbot.~~ 9. Remove the buildbot.fast-downward.org DNS entry, if it actually is a dedicated entry and not just a wildcard. -> ~~1. Shut down the buildbot-related containers and make sure they don't restart again when the host machine is rebooted.~~ 2. Shut down the computers that we don't need any more (at least the Mac and Windows machines; also dmi-hydra?). Let the computer admins know that we no longer need them for the buildbot and possibly return the machines. ~~3. Remove or disable the buildbot-related Apache configuration.~~ ~~4. Update the README file in the infrastructure repository.~~ ~~5. Decide what to do with the various buildbot-related things in the infrastructure repository (under "hosts" and "services") and do it.~~ 6. Remove misc/buildbot from the Fast Downward repository. Are there other buildbot-related things in this repository? ~~7. Update https://wiki.dmi.unibas.ch/doku.php?id=fbi:ai:infrastructure-documentation. Let Bas know which services no longer need to be migrated.~~ ~~8. Update the Fast Downward wiki if there are references to the buildbot.~~ ~~9. Remove the buildbot.fast-downward.org DNS entry, if it actually is a dedicated entry and not just a wildcard.~~
2021-03-19 20:33:55maltesetmessages: + msg10219
2021-03-19 20:24:59maltesetmessages: + msg10216
2021-03-19 17:48:47jendriksetmessages: + msg10215
2021-03-19 17:08:52floriansetmessages: + msg10213
2021-03-19 16:59:13floriansetmessages: + msg10212
summary: 1. Shut down the buildbot-related containers and make sure they don't restart again when the host machine is rebooted. 2. Shut down the computers that we don't need any more (at least the Mac and Windows machines; also dmi-hydra?). Let the computer admins know that we no longer need them for the buildbot and possibly return the machines. 3. Remove or disable the buildbot-related Apache configuration. 4. Update the README file in the infrastructure repository. 5. Decide what to do with the various buildbot-related things in the infrastructure repository (under "hosts" and "services") and do it. 6. Remove misc/buildbot from the Fast Downward repository. Are there other buildbot-related things in this repository? 7. Update https://wiki.dmi.unibas.ch/doku.php?id=fbi:ai:infrastructure-documentation. Let Bas know which services no longer need to be migrated. 8. Update the Fast Downward wiki if there are references to the buildbot. 9. Remove the buildbot.fast-downward.org DNS entry, if it actually is a dedicated entry and not just a wildcard. -> ~~1. Shut down the buildbot-related containers and make sure they don't restart again when the host machine is rebooted.~~ 2. Shut down the computers that we don't need any more (at least the Mac and Windows machines; also dmi-hydra?). Let the computer admins know that we no longer need them for the buildbot and possibly return the machines. ~~3. Remove or disable the buildbot-related Apache configuration.~~ ~~4. Update the README file in the infrastructure repository.~~ ~~5. Decide what to do with the various buildbot-related things in the infrastructure repository (under "hosts" and "services") and do it.~~ 6. Remove misc/buildbot from the Fast Downward repository. Are there other buildbot-related things in this repository? ~~7. Update https://wiki.dmi.unibas.ch/doku.php?id=fbi:ai:infrastructure-documentation. Let Bas know which services no longer need to be migrated.~~ ~~8. Update the Fast Downward wiki if there are references to the buildbot.~~ 9. Remove the buildbot.fast-downward.org DNS entry, if it actually is a dedicated entry and not just a wildcard.
2021-03-04 16:29:01maltesetmessages: + msg10166
2021-03-04 11:31:28floriansetmessages: + msg10161
2021-02-26 16:13:46maltesetmessages: + msg10150
2021-02-26 15:43:08silvansetmessages: + msg10146
2021-02-26 13:52:22silvansetnosy: + silvan
2021-02-26 13:48:37patfersetstatus: unread -> chatting
nosy: + patfer
messages: + msg10144
2021-02-26 13:28:46maltecreate